# Modified from https://hub.docker.com/_/drupal
#
# Drupal with MySQL
#
# Access via http://localhost:8080

services:

  drupal:
    image: drupal:10-apache
    container_name: drupal
    ports:
      - 8080:80
    volumes:
      - /var/www/html/modules
      - /var/www/html/profiles
      - /var/www/html/themes
      # this takes advantage of the feature in Docker that a new anonymous
      # volume (which is what we're creating here) will be initialized with the
      # existing content of the image at the same location
      - /var/www/html/sites
    restart: always

  mysql:
    # for arm64 support, from https://medium.com/better-programming/mysql-5-7-does-not-have-an-official-docker-image-on-arm-m1-mac-e55cbe093d4c
    image: biarms/mysql:5.7
    container_name: mysql
    environment:
      MYSQL_DATABASE: hwpiacsf8db1500115
      MYSQL_USER: user
      MYSQL_PASSWORD: password
      MYSQL_ROOT_PASSWORD: password
    restart: always
